chinput(1)

NAME
chinput - CHinese INPUT XIM server

SYNOPSIS
chinput [options]

DESCRIPTION
Chinput is an XIM (X Input Method) server which is widely used to perform Chinese input under X Window system. It is originally developed by Mingjian Yu and other programmers in early days; while now it is maintained by the miniChinput Project. The Chinput design follows the Xi18N standard and locale mechanism. You should have locale supported in your system C library and installed before you run chinput. Chinput allows you to input the Chinese characters to an X client which supports XIM mechanism. Currently, Chinput supports gb2312, gbk, gb18030, and big5 (used in Taiwan) character set/encodings. The input methods currently supported are:

gb* character set:
    ZNPY PY SHP WB CODE

big5 character set:
    PY CangJie

OPTIONS

-gb Enable GB encoding.

-big5
    Enable BIG5 encoding.

-root
    Root window input style.

-overspot
    OverTheSpot input style.

-onspot
    OnTheSpot input style.

-offspot
    OffTheSpot input style.

HOT KEYS

Control-space:
    Enable/disable the connection between the XIM client and the XIM server, chinput.

Alt-space:
    Circularly switch the input styles: ROOT, OVERTHESPOT, ONTHESPOT, OFFTHESPOT.

Control-Shift:
    Circularly switch the input modes.

Shift-space:
    Switch between ASCII and Wide ASCII modes.

Control-period:
    Switch between Chinese and English punctuation sets.

FILES
Chinput searches the configuration file in the following order.

$HOME/.chinput
    This is a configuration file in user's home directory.

/usr/local//lib/Chinput/Chinput.ad
    This is a system wide configuration file.

ENVIRONMENT VARIABLES

LANG
    set the language locale. Chinput support the following locale settings.
            LANG=zh_CN
            LANG=zh_CN.GB2312
            LANG=zh_CN.GBK
            LANG=zh_CN.GB18030
            LANG=zh_TW
            LANG=zh_TW.Big5

LC_CTYPE
    set the character handling locale. This is depends on what kind of C library you are using. Please refer to the command "locale -a".

XMODIFIERS
    A usual locale name contains a definite format as following: The value is Chinput.
            for example:
            under bash: XMODIFIERS="@im=Chinput"
                        export XMODIFIERS
            under csh : setenv XMODIFIERS @im=Chinput

BUGS

AUTHOR
Currently maintained by miniChinput project: <http://sourceforge.net/projects/minichinput>. Bo Zhang (bozhang@usc.edu)

SEE ALSO
locale(1), locale(5), locale(7), localedef(1), setlocale(3)

COPYRIGHT
Chinput is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.